---
title: "Get blog search result"
slug: "naver-api-hub-search-blog"
updated: 2026-10-08T04:15:34Z
published: 2026-10-08T04:15:34Z
canonical: "api.ncloud-docs.com/naver-api-hub-search-blog"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get blog search result
Available in Classic and VPC
Get blog search results from NAVER Search.
Note
Blog searches use the Search API, which has a daily call limit of 25,000.
## Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET | /search/v1/blog |
### Request headers
For information about the headers common to NAVER API HUB, see [NAVER API HUB request headers](/docs/en/naver-api-hub-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `query` | String | Required | Search keyword - Encoded with UTF-8 |
| `display` | Integer | Optional | Number of search results to display at a time - `1`-`100` (default: `10`) |
| `start` | Integer | Optional | Search start location - `1`-`1000` (default: `1`) |
| `sort` | String | Optional | How to sort search results - `sim` (default) \| `date` - `sim`: Accuracy (descending) - `date`: Date (descending) |
| `format` | String | Optional | Response format - `json` (default) \| `xml` |
### Request example
The request example is as follows:
```
curl --location --request GET 'https://naverapihub.apigw.ntruss.com/search/v1/blog?query=커피&display=2&start=1&sort=date&format=json' \
--header 'X-NCP-APIGW-API-KEY-ID: {Client ID}' \
--header 'X-NCP-APIGW-API-KEY: {Client Secret}'
```
## Response
This section describes the response format.
### Response body
The response body includes the following data:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `lastBuildDate` | String | - | Time the search results were generated |
| `total` | Integer | - | Total number of search results |
| `start` | Integer | - | Starting location for the search |
| `display` | Integer | - | Number of search results to display at a time |
| `items` | Array | - | List of individual search results: [items](/docs/en/naver-api-hub-search-blog#items) |
#### items
The following describes `items`.
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `title` | String | - | Blog post title - Portions matching the search keyword are wrapped in `<b>` tags. |
| `link` | String | - | Blog post URL |
| `description` | String | - | Passage information summarizing the blog post content - Portions matching the search keyword are wrapped in `<b>` tags. |
| `bloggername` | String | - | Name of the blog that contains the blog post |
| `bloggerlink` | String | - | Address of the blog that contains the blog post |
| `postdate` | String | - | Date the blog post was written |
### Response status codes
The following describes the response status codes:
| HTTP status code | Code | Message | Description |
| --- | --- | --- | --- |
| 400 | `SE01` | Incorrect query request | Check for errors in the API request URL, such as the protocol or parameters. |
| 400 | `SE02` | Invalid display value. | Check that the `display` value is within the allowed range. |
| 400 | `SE03` | Invalid start value | Check that the `start` value is within the allowed range. |
| 400 | `SE04` | Invalid sort value | Check the `sort` value for typos. |
| 400 | `SE06` | Malformed encoding | Encode the search keyword in UTF-8. |
| 404 | `SE05` | Invalid search API | Check the API request URL for typos. |
| 500 | `SE99` | System error | An error occurred internally on the server. |
Note
For information about the response status codes common to all NAVER API HUB, see [NAVER API HUB response status codes](/docs/en/naver-api-hub-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
### Response example
The response example is as follows:
```
{
"lastBuildDate": "Thu, 11 Jun 2026 19:14:42 +0900",
"total": 56692992,
"start": 1,
"display": 2,
"items": [
{
"title": "How to choose coffee beans and tips for getting started with a home coffee setup",
"link": "https://blog.naver.com/{blogId}/{logNo}",
"description": "Today, I've summarized the criteria for choosing coffee beans. Depending on acidity and body... ",
"bloggername": "{Blog name}",
"bloggerlink": "blog.naver.com/{blogId}",
"postdate": "20260611"
},
{
"title": "Review of a local coffee spot",
"link": "https://blog.naver.com/{blogId}/{logNo}",
"description": "Here’s a review of a coffee specialty shop I visited over the weekend. Both the pour-over and lattes... ",
"bloggername": "{Blog name}",
"bloggerlink": "blog.naver.com/{blogId}",
"postdate": "20260611"
}
]
}
```